Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.sftp
Class FileAttributes

    java.lang.Object
      com.sshtools.j2ssh.sftp.FileAttributes

public class FileAttributes
extends java.lang.Object

DOCUMENT ME!

Field Summary
`static int` | `S_IFBLK` DOCUMENT ME!
`static int` | `S_IFCHR` DOCUMENT ME!
`static int` | `S_IFDIR` DOCUMENT ME!
`static int` | `S_IFIFO` DOCUMENT ME!
`static int` | `S_IFLNK` DOCUMENT ME!
`static int` | `S_IFMT` DOCUMENT ME!
`static int` | `S_IFREG` DOCUMENT ME!
`static int` | `S_IFSOCK` DOCUMENT ME!
`static int` | `S_IRGRP` DOCUMENT ME!
`static int` | `S_IROTH` DOCUMENT ME!
`static int` | `S_IRUSR` DOCUMENT ME!
`static int` | `S_ISGID` DOCUMENT ME!
`static int` | `S_ISUID` DOCUMENT ME!
`static int` | `S_IWGRP` DOCUMENT ME!
`static int` | `S_IWOTH` DOCUMENT ME!
`static int` | `S_IWUSR` DOCUMENT ME!
`static int` | `S_IXGRP` DOCUMENT ME!
`static int` | `S_IXOTH` DOCUMENT ME!
`static int` | `S_IXUSR` DOCUMENT ME!
`static int` | `SSH_FILEXFER_TYPE_DIRECTORY` DOCUMENT ME!
`static int` | `SSH_FILEXFER_TYPE_REGULAR` DOCUMENT ME!
`static int` | `SSH_FILEXFER_TYPE_SPECIAL` DOCUMENT ME!
`static int` | `SSH_FILEXFER_TYPE_SYMLINK` DOCUMENT ME!
`static int` | `SSH_FILEXFER_TYPE_UNKNOWN` DOCUMENT ME!

Constructor Summary
`FileAttributes()` Creates a new FileAttributes object.
`FileAttributes(ByteArrayReader bar)`

Method Summary
`UnsignedInteger32` | `getAccessedTime()` DOCUMENT ME!
`java.util.Map` | `getExtendedAttributes()`
`UnsignedInteger32` | `getGID()` DOCUMENT ME!
`UnsignedInteger32` | `getModifiedTime()` DOCUMENT ME!
`java.lang.String` | `getModTimeString()` DOCUMENT ME!
`UnsignedInteger32` | `getPermissions()` DOCUMENT ME!
`java.lang.String` | `getPermissionsString()` DOCUMENT ME!
`UnsignedInteger64` | `getSize()` DOCUMENT ME!
`UnsignedInteger32` | `getUID()` DOCUMENT ME!
`boolean` | `isBlock()` DOCUMENT ME!
`boolean` | `isCharacter()` DOCUMENT ME!
`boolean` | `isDirectory()` DOCUMENT ME!
`boolean` | `isFifo()` DOCUMENT ME!
`boolean` | `isFile()` DOCUMENT ME!
`boolean` | `isFlagSet(int flag)` DOCUMENT ME!
`boolean` | `isLink()` DOCUMENT ME!
`boolean` | `isSocket()` DOCUMENT ME!
`void` | `setGID(UnsignedInteger32 gid)` DOCUMENT ME!
`void` | `setPermissions(java.lang.String newPermissions)` DOCUMENT ME!
`void` | `setPermissions(UnsignedInteger32 permissions)`
`void` | `setSize(UnsignedInteger64 size)` DOCUMENT ME!
`void` | `setTimes(UnsignedInteger32 atime, UnsignedInteger32 mtime)` DOCUMENT ME!
`void` | `setUID(UnsignedInteger32 uid)` DOCUMENT ME!
`byte[]` | `toByteArray()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SSH_FILEXFER_TYPE_REGULAR

    public static final int SSH_FILEXFER_TYPE_REGULAR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SSH_FILEXFER_TYPE_DIRECTORY

    public static final int SSH_FILEXFER_TYPE_DIRECTORY

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SSH_FILEXFER_TYPE_SYMLINK

    public static final int SSH_FILEXFER_TYPE_SYMLINK

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SSH_FILEXFER_TYPE_SPECIAL

    public static final int SSH_FILEXFER_TYPE_SPECIAL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### SSH_FILEXFER_TYPE_UNKNOWN

    public static final int SSH_FILEXFER_TYPE_UNKNOWN

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IFMT

    public static final int S_IFMT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IFSOCK

    public static final int S_IFSOCK

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IFLNK

    public static final int S_IFLNK

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IFREG

    public static final int S_IFREG

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IFBLK

    public static final int S_IFBLK

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IFDIR

    public static final int S_IFDIR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IFCHR

    public static final int S_IFCHR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IFIFO

    public static final int S_IFIFO

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_ISUID

    public static final int S_ISUID

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_ISGID

    public static final int S_ISGID

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IRUSR

    public static final int S_IRUSR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IWUSR

    public static final int S_IWUSR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IXUSR

    public static final int S_IXUSR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IRGRP

    public static final int S_IRGRP

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IWGRP

    public static final int S_IWGRP

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IXGRP

    public static final int S_IXGRP

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IROTH

    public static final int S_IROTH

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IWOTH

    public static final int S_IWOTH

  DOCUMENT ME!

  See Also:
    Constant Field Values

### S_IXOTH

    public static final int S_IXOTH

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### FileAttributes

    public FileAttributes()

  Creates a new FileAttributes object.

### FileAttributes

    public FileAttributes(ByteArrayReader bar)
                   throws java.io.IOException

Method Detail

### getUID

    public UnsignedInteger32 getUID()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setUID

    public void setUID(UnsignedInteger32 uid)

  DOCUMENT ME!

  Parameters:
    `uid` - DOCUMENT ME!

### setGID

    public void setGID(UnsignedInteger32 gid)

  DOCUMENT ME!

  Parameters:
    `gid` - DOCUMENT ME!

### getGID

    public UnsignedInteger32 getGID()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setSize

    public void setSize(UnsignedInteger64 size)

  DOCUMENT ME!

  Parameters:
    `size` - DOCUMENT ME!

### getSize

    public UnsignedInteger64 getSize()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setPermissions

    public void setPermissions(UnsignedInteger32 permissions)

### setPermissions

    public void setPermissions(java.lang.String newPermissions)

  DOCUMENT ME!

  Parameters:
    `newPermissions` - DOCUMENT ME!

### getPermissions

    public UnsignedInteger32 getPermissions()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setTimes

    public void setTimes(UnsignedInteger32 atime,
                         UnsignedInteger32 mtime)

  DOCUMENT ME!

  Parameters:
    `atime` - DOCUMENT ME!
    `mtime` - DOCUMENT ME!

### getAccessedTime

    public UnsignedInteger32 getAccessedTime()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getModifiedTime

    public UnsignedInteger32 getModifiedTime()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getExtendedAttributes

    public java.util.Map getExtendedAttributes()

### isFlagSet

    public boolean isFlagSet(int flag)

  DOCUMENT ME!

  Parameters:
    `flag` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### toByteArray

    public byte[] toByteArray()
                       throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getPermissionsString

    public java.lang.String getPermissionsString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getModTimeString

    public java.lang.String getModTimeString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isDirectory

    public boolean isDirectory()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isFile

    public boolean isFile()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isLink

    public boolean isLink()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isFifo

    public boolean isFifo()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isBlock

    public boolean isBlock()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isCharacter

    public boolean isCharacter()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isSocket

    public boolean isSocket()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD